Subject: Minicom can’t be configured

From: Ian Eure <[email-masked]>
Date: Fri, 02 May 2025 20:07:37 -0700

Tried to use this recently, and found it was mostly unusable.

If you run `minicom', the program exits with no output and a 
status code of 1.

If you run `minicom -s' and choose "Save setup as dfl" (dfl 
meaning "default"), it tries to write into the store, which fails.

If you choose "Save setup as..", you’re prompted for a 
configuration name.  This also fails due to wanting to write it 
into the store.

The only way the program can be made to work is by specifying all 
configuration on the commandline, ex `minicom -D /dev/ttyUSB0 -b 
9600'.

If should probably look for configs in $XDG_CONFIG_HOME/minicom 
rather than the /etc directory of its store path.

Thanks,

  -- Ian